* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body,
html {
    overflow-x: hidden;
}


@media (max-width: 720px) {
    .d-md-none {
        visibility: hidden;

    }
}

@font-face {
    font-family: 'IranYekan';
    src: url('./fonts/iran-yekan-300.eot');
    src: url('./fonts/iran-yekan-300.eot?#iefix') format('embedded-opentype'),
        url('./fonts/iran-yekan-300.woff2') format('woff2'),
        url('./fonts/iran-yekan-300.woff') format('woff'),
        url('./fonts/iran-yekan-300.ttf') format('truetype');
    font-weight: 300;
    font-style: normal;
}

@font-face {
    font-family: 'IranYekan';
    src: url('./fonts/iran-yekan-400.eot');
    src: url('./fonts/iran-yekan-400.eot?#iefix') format('embedded-opentype'),
        url('./fonts/iran-yekan-400.woff2') format('woff2'),
        url('./fonts/iran-yekan-400.woff') format('woff'),
        url('./fonts/iran-yekan-400.ttf') format('truetype');
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: 'IranYekan';
    src: url('./fonts/iran-yekan-700.eot');
    src: url('./fonts/iran-yekan-700.eot?#iefix') format('embedded-opentype'),
        url('./fonts/iran-yekan-700.woff2') format('woff2'),
        url('./fonts/iran-yekan-700.woff') format('woff'),
        url('./fonts/iran-yekan-700.ttf') format('truetype');
    font-weight: 700;
    font-style: normal;
}

/* Apply the font globally */
body {
    direction: rtl;
    font-family: 'IranYekan', sans-serif;
    background-color: #f9f9f9;
}

.slider {
    position: relative;
    max-width: 1200px;
    margin: auto;
    overflow: hidden;
    height: 440px;
    margin-top: 26px;
    border-radius: 30px;
}

.slides {
    display: flex;
    transition: opacity 1s ease-in-out;
}

.slides img {
    width: 100%;
    object-fit: cover;
}

.fade {
    opacity: 0;
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    z-index: 1;
    transition: opacity 1s ease-in-out;
}

.fade.active {
    opacity: 1;
    z-index: 2;
}

/* Arrows */
.arrow {
    position: absolute;
    top: 54%;
    transform: translateY(-50%);
    z-index: 3;
    cursor: pointer;
    padding: 10px;
    border-radius: 50%;
}

.arrow img {
    width: 60px;
    height: 60px;
}

.arrow-left {
    left: 10px;
}

.arrow-right {
    right: 10px;
}


.features-section {
    margin-top: 42px;
}

.features-container {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 20px;
    max-width: 1200px;
    margin: auto;
    margin-top: -100px;
}

.feature {

    padding: 29px;

}

.feature .imageContainer {
    background: white;
    border-radius: 50%;
    border: 7px solid white;
    text-align: center;
    padding: 8px;
    margin: 9px;
    background-color: #F3F3F3;
    padding-top: 22px;
    width: 100px;
    height: 100px;
}

.features-background {
    background-color: #F3F3F3;
    height: 100px;
    max-width: 1200px;
    margin: 0 auto;
    border-radius: 30px;
}

.feature img {
    width: 37px;
    height: 37px;
    margin-bottom: 10px;

}

.feature p {
    font-size: 13px;
    margin: 0;
    color: #333;
    text-align: center;
}

.cetegory-section {
    padding-top: 60px;
}

.button-more {
    text-align: center;
}

.button-more div {
    background-color: #FFC501;
    width: 200px;
    color: black;
    margin: 0 auto;
    padding: 6px;
    font-size: 16px;
    font-weight: 700;
    border-radius: 50px;
    color: black;
}

.category-container {
    display: grid;
    grid-template-columns: auto auto;
    max-width: 900px;
    margin: 0 auto;
    gap: 13px;
    margin-top: 50px;
}

.category-item {
    background-color: #5a5a5a;
    height: 140px;
    border-radius: 30px;
    display: flex;
    gap: 50px;

    margin-top: 50px;
}

.category-title {
    border-radius: 100%;
    background-color: #FFC501;
    width: 180px;
    height: 180px;
    border: 10px solid #FFEAA5;
    text-align: center;
    position: relative;
    top: 30px;
    right: -42px;
}

.category-title span {
    position: relative;
    top: 20%;
    right: 16px;
    color: black;
    font-size: 17px;
    font-weight: bold;
}

.cat-cutter {
    overflow: hidden;
    border-radius: 30px;
}

.category-item.left {
    direction: ltr;
}

.left .category-title {
    left: -34px;
}

.left .category-title span {
    right: -10px;
}

.category-image {
    height: 152px;
    width: 147px;
    background-size: contain;
    background-repeat: no-repeat;
    position: relative;
    top: -35px;
}

@keyframes moveTop {
    0% {
        top: -35px;
    }

    50% {
        top: -50px;
    }

    100% {
        top: -35px;
    }
}

@keyframes moveTopShadow {
    0% {
        background-size: 100%;
    }

    50% {
        background-size: 70%;
    }

    100% {
        background-size: 100%;
    }
}

.category-image-1 {
    background-image: url(./images/Image.png);
    animation: moveTop 2.9s ease-in-out infinite;
}

.category-image-2 {
    background-image: url(./images/Image-1.png);
    animation: moveTop 3.2s ease-in-out infinite;
}

.category-image-3 {
    background-image: url(./images/image-2.png);
    animation: moveTop 3.3s ease-in-out infinite;
}

.category-image-4 {
    background-image: url(./images/Image-3.png);
    animation: moveTop 3.1s ease-in-out infinite;
}

.shadow {
    background-image: url(./images/ShadowImage.png);
    background-repeat: no-repeat;
    background-size: contain;
    width: 165px;
    height: 57px;
    position: relative;
    top: -63px;
    filter: brightness(0.5);
    opacity: .7;
    background-size: 100%;
    background-position: center;
}

.shadow-1 {
    animation: moveTopShadow 2.9s ease-in-out infinite;
}

.shadow-2 {
    animation: moveTopShadow 3.2s ease-in-out infinite;
}

.shadow-3 {
    animation: moveTopShadow 3.3s ease-in-out infinite;
}

.shadow-4 {
    animation: moveTopShadow 3.1s ease-in-out infinite;
}



.carousel-container {
    max-width: 1140px;
    margin: 20px auto;
    padding: 20px;
    position: relative;
    background: url(./images/Shapes.png) no-repeat center center / contain;
    border-radius: 15px;
    overflow: hidden;
    background-color: #ffc502;
    padding-top: 30px;
    padding-bottom: 80px;

    display: flex;
}

.carousel-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.carousel-header h2 {
    font-size: 32px;
    color: #333;
    font-weight: bold;
    padding: 37px;
    text-align: center;
}

.carousel-header button {
    border: 1px solid #333;
    background: transparent;
    padding: 10px 20px;
    font-size: 16px;
    border-radius: 25px;
    cursor: pointer;
}

.carousel {

    width: 97%;
    display: flex;
    overflow: hidden;
    scroll-behavior: smooth;
    gap: 8px;
    padding-top: 0px;
    padding-bottom: 1px;
    padding-right: 17px;
    margin-left: -1200px;
}

.product-section {
    margin-top: 109px;
    margin-bottom: 69px;
}

.carousel-card {
    min-width: 250px;
    background: #fff;
    border-radius: 30px;
    box-shadow: 3px 4px 9px 2px rgba(0, 0, 0, 0.1);
    padding: 15px;
    text-align: center;
    transition: transform 0.3s ease;
    position: relative;
    border: 2px solid #d0d0d0;
}

.carousel-card:hover {
    transform: translateY(-5px);
}

.carousel-card img {
    width: 100%;
    height: 165px;
    object-fit: contain;
    border-radius: 10px;
}

.carousel-card h3 {
    font-size: 14px;
    margin: 10px 0;
    text-align: right;
    color: #333;
    max-width: 200px;
}

.carousel-card .price {
    font-size: 16px;
    text-align: right;
}

.carousel-card .discount {
    font-size: 13px;
    display: inline;
    text-decoration: line-through;
    color: #aaa;
}

.discount-percentage {
    background-color: #6d6d6d;
    color: white;
    padding: 1px;
    font-size: 12px;
    padding-left: 12px;
    padding-right: 12px;
    border-radius: 20px;
    margin: 10px;
}

.carousel-card .cart-btn {
    background: none;
    border: none;
    top: 19px;
    position: relative;
    cursor: pointer;
    padding: 0;
    width: 35px;
    height: 35px;
    border-radius: 50%;
    background-color: #FFC501;
    background-image: url('./images/Icon (12).png');
    background-size: 18px;
    background-position: center;
    background-repeat: no-repeat;
}



.price-container {
    display: flex;
    justify-content: space-between;
}

.carousel-controls {
    position: absolute;
    top: 92%;
    width: 95%;
    display: flex;
    justify-content: space-between;
    transform: translateY(-50%);
}

.carousel-controls button {
    border: none;
    border-radius: 50%;
    display: flex;
    background-color: transparent;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    transition: transform 0.3s ease;
}

.carousel-controls button:hover {
    transform: scale(1.1);
}


.more-btn-container {
    text-align: center;
    margin-top: 20px;
}

.more-btn {
    border: 1px solid #333;
    font-family: 'IranYekan', sans-serif;
    background: transparent;
    padding: 6px 20px;
    font-size: 16px;
    border-radius: 25px;
    cursor: pointer;
    transition: all 0.3s ease, color 0.3s ease;
}

.more-btn:hover {
    background: #333;
    color: #fff;
}


.banners-section {
    max-width: 1140px;

    margin: auto;
    margin-top: 150px;
    margin-bottom: 150px;
}

.banners-container {
    display: flex;
    justify-content: center;
    gap: 20px;
}

.banner {
    width: 50%;
    text-align: center;
    height: 200px;
    background-color: #FFEDB1;
    border-radius: 30px;

    display: flex;
    align-items: center;
    gap: 14px;
}

.banner div {
    margin: 0 auto;
}

.banner p {
    font-size: 28px;
    font-weight: bold;
    color: black;
}

.btn-b {
    width: 144px;
    margin-top: 13px;
    cursor: pointer;
}

.banner-img-1 {
    width: 220px;
    margin-top: 25px;
}

.banner-img-2 {
    width: 240px;
    margin-top: 22px;
}




.product-slider-section {
    margin-top: 63px;
    margin-bottom: 69px;
    max-width: 1140px;
    margin-left: auto;
    margin-right: auto;
    padding: 20px;
    background: #fff;
    border-radius: 30px;
    border: 1px solid #5b5b5b;
}

/* Filter Buttons */
.filter-buttons-wrapper {
    display: flex;
    gap: 10px;
    justify-content: right;
    margin-bottom: 20px;
}

.filter-btn {
    border: none;
    padding: 10px 20px;
    background: #F3F3F3;
    border-radius: 12px;
    cursor: pointer;
    transition: all 0.3s ease;
    font-family: 'IranYekan', sans-serif;
}

.filter-btn.active,
.filter-btn:hover {
    background: #FFEAA5;
    color: #A98305;
}

/* Slider */
.slider-container {
    position: relative;
    overflow: hidden;
}

.slider-wrapper {
    overflow: hidden;
}

.slider.product-cards {
    width: 100%;
    display: flex;
    height: auto;
    overflow: hidden;
    overflow-x: auto;
    scroll-behavior: smooth;
    gap: 22px;
    padding-top: 12px;
    padding-bottom: 18px;
    padding-right: 0px;
    margin-left: -20px;
}

.product-card {
    min-width: 250px;
    max-width: 250px;
    background: #fff;
    border-radius: 30px;
    box-shadow: 3px 4px 9px 2px rgba(0, 0, 0, 0.1);
    padding: 15px;
    text-align: center;
    transition: transform 0.3s ease;
    overflow: hidden;
    position: relative;
    border: 2px solid #d0d0d0;
}

.product-card:hover {
    transform: translateY(-5px);
}

.product-card img {
    width: 100%;
    height: 161px;
    object-fit: contain;
    border-radius: 10px;
}

.product-card h3 {
    font-size: 14px;
    margin: 10px 0;
    text-align: right;
    color: #333;
    max-width: 200px;
}

.product-card .price {
    font-size: 16px;
    text-align: right;

}

.product-card .discount {
    font-size: 13px;
    display: inline;
    text-decoration: line-through;
    color: #aaa;
}

.discount-percentage {
    background-color: #6d6d6d;
    color: white;
    padding: 1px 12px;
    font-size: 12px;
    border-radius: 20px;
    margin: 10px;
}

.product-card .add-to-cart-btn {
    background: none;
    border: none;
    top: 19px;
    position: relative;
    cursor: pointer;
    width: 35px;
    height: 35px;
    border-radius: 50%;
    background-color: #FFC501;
    background-image: url('./images/Icon (12).png');
    background-size: 18px;
    background-position: center;
    background-repeat: no-repeat;
}

.price-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 10px;
}

/* Slider Controls */
.slider-controls {
    position: absolute;
    top: 50%;
    width: 96%;
    right: 20px;
    display: flex;
    justify-content: space-between;
    transform: translateY(-50%);
}

.slider-controls button {
    border: none;
    border-radius: 50%;
    width: 40px;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2);
    cursor: pointer;
    transition: transform 0.3s ease;
}

.slider-controls button:hover {
    transform: scale(1.1);
}


.about-section {
    max-width: 1140px;
    margin: 50px auto;
    padding: 20px;
    background: #fff;
    border: 1px solid;
    border-radius: 30px;
    text-align: right;
    font-family: 'IranYekan', sans-serif;
    position: relative;
}

.about-header h2 {
    background-color: #FFC501;
    display: inline-block;
    padding: 10px 20px;
    border-radius: 25px;
    font-size: 20px;
    font-weight: bold;
}

.about-content {
    margin-top: 20px;
    overflow: hidden;
    position: relative;
}

.about-text-container {
    position: relative;
    max-height: 150px;
    overflow: hidden;
    transition: max-height 0.5s ease;
}

.about-text-container.expanded {
    max-height: 1000px;
    /* Adjust based on full text */
}

.fog {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    height: 100px;
    background: linear-gradient(to bottom, rgba(255, 255, 255, 0), rgba(255, 255, 255, 1));
    pointer-events: none;
    transition: opacity 0.5s ease;
    opacity: 1;
}

.fog.hidden {
    opacity: 0;
}

.about-text {
    font-size: 14px;
    line-height: 1.8;
    color: #333;
    transition: all 0.5s ease;
}

.toggle-about-btn {
    display: flex;
    margin: 0 auto;
    margin-top: 20px;
    padding: 10px 20px;
    font-size: 12px;
    border-radius: 25px;
    cursor: pointer;
    transition: all 0.3s ease;
}

.review-carousel-container {
    max-width: 1140px;
    margin: 0 auto;
    position: relative;
    overflow: hidden;
}

.review-carousel {
    display: flex;
    gap: 15px;
    scroll-behavior: smooth;
    padding: 46px 20px;
}

.review-item {
    flex: 0 0 30%;
    background-color: #fff;
    border-radius: 20px;
    border: 1px solid #d9d9d9;
    padding: 20px;
    text-align: right;
    transition: transform 0.3s ease;
}

.review-item:hover {
    transform: translateY(-5px);
}

.review-header {
    display: flex;
    align-items: center;
    margin-bottom: 10px;
}

.review-avatar {
    width: 60px;
    height: 60px;
    border-radius: 50%;
    margin-left: 10px;
    border: 3px solid #FFC501;
}

.review-name {

    font-size: 15px;
    font-weight: bold;
    color: #515151;
}

.review-rating {
    margin-bottom: 10px;
}

.star {
    color: #FFC501;
    font-size: 12px;
}

.star.empty {
    color: #ccc;
}

.review-text {

    font-size: 14px;
    color: #515151;
    line-height: 1.6;
}



.comments-secion-warper {
    padding-top: 70px;
    padding-bottom: 70px;
}

.review-controls {
    right: 20px;
    width: 97%;
}

.review-carousel-container {
    max-width: 1140px;
    margin: 0 auto;
    position: relative;
    overflow: hidden;
    /* Ensures the overflow is hidden */
}

.review-carousel {
    display: flex;
    gap: 15px;
    overflow-x: auto;
    /* Enable horizontal scrolling */
    scroll-behavior: smooth;
    /* Smooth scroll behavior */
    padding: 46px 20px;
    scrollbar-width: none;
    /* Hide scrollbar (Firefox) */
}

.review-carousel::-webkit-scrollbar {
    display: none;
    /* Hide scrollbar (Chrome, Safari) */
}


/* Articles Section */
.articles-section {
    background-color: #5A5A5A;
    
    padding: 50px 83px;
    border-radius: 20px;
    max-width: 1140px;
    margin: 50px auto;
    position: relative;
    color: white;
    text-align: right;
}

.articles-header h2 {
    background-color: #FFC501;
    padding: 7px 20px;
    border-radius: 25px;
    display: inline-block;
    font-size: 18px;
    font-weight: bold;
    color: #333;

}

.articles-carousel-container {
    position: relative;
    overflow: hidden;
    margin-top: 30px;
}

.articles-carousel {
    display: flex;
    gap: 15px;
    scroll-behavior: smooth;
    overflow-x: auto;
    padding: 20px 0;
}

.articles-carousel::-webkit-scrollbar {
    display: none;
}

.article-item {
    background-color: white;
    color: #333;
    border-radius: 20px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
    width: 230px;
    text-align: right;
    padding: 15px;
    transition: transform 0.3s ease;
    flex: 0 0 auto;
}

.article-item:hover {
    transform: translateY(-5px);
}

.article-image {
    width: 100%;
    border-radius: 10px;
    margin-bottom: 10px;
}

.article-title {
    font-size: 14px;
    font-weight: bold;
    margin-bottom: 15px;
    line-height: 1.5;
    color: #333;
}

.article-footer {
    display: flex;
    align-items: center;
    gap: 5px;
    font-size: 12px;
    color: #666;
}

.article-icon {
    width: 15px;
    height: 15px;
}

.article-date {
    font-size: 12px;
    color: #666;
}

/* Controls */
.carousel-controls.article-controls {
    position: absolute;
    top: 50%;
    width: 100%;
    display: flex;
    justify-content: space-between;
    transform: translateY(-50%);
    pointer-events: none;
}

.carousel-control-btn {
    pointer-events: all;
    background: none;
    border: none;
    cursor: pointer;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: transform 0.3s ease;
}

.carousel-control-btn:hover {
    transform: scale(1.1);
}

.carousel-control-btn img {
    width: 100%;
    height: 100%;
}

/* Button */
.articles-more {
    text-align: center;
    margin-top: 30px;
}

.more-btn.article-btn {
    border: 1px solid white;
    background: transparent;
    padding: 10px 20px;
    font-size: 16px;
    border-radius: 25px;
    cursor: pointer;
    color: white;
    transition: all 0.3s ease;
}

.more-btn.article-btn:hover {
    background: white;
    color: #333;
}

.articles-header {
    text-align: center;
}

.brands-container {
    text-align: center;
    padding: 20px;
    display: flex;
    align-items: center;
    width: 1000px;
    overflow: hidden;
    margin: 0 auto;
    justify-self: center;
    gap: 20px;
    background-color: #f3f3f3;
    border-radius: 30px;
    margin-top: 30px;
    height: 120px;
    margin-bottom: 120px;

}

.brand-item img {
    width: 150px;
}

.brand-track {
    display: flex;
    gap: 40px;
    align-items: center;

}

.brand-item img {
    width: 150px;
    height: auto;
}


/* Clone track for smooth transition */
.brand-track-clone {
    display: flex;
    gap: 20px;
}

.contactUs {
    height: 230px;
    display: flex;
    border-radius: 30px;
    align-items: center;
    gap: 50px;
    justify-content: center;
    text-align: center;
    margin: 0 auto;
    width: 1140px;
    margin-top: 88px;
    margin-bottom: 50px;
    background: linear-gradient(to right, #FFC501 0%, #FFC501 50%, #F6CF49 51%, #F6CF49 100%);
}

.shapedDivider {
    background-image: url(./images/Shape.png);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    width: 172px;
    height: 100%;
}

.contactUs-header img {
    width: 380px;
}

.contactUs-btn img {
    width: 245px;
}

.showMobile{
    display: none;
}
